Get Order Queue Position
curl --request GET \
--url https://external-api.kalshi.com/trade-api/v2/portfolio/orders/{order_id}/queue_position \
--header 'KALSHI-ACCESS-KEY: <api-key>' \
--header 'KALSHI-ACCESS-SIGNATURE: <api-key>' \
--header 'KALSHI-ACCESS-TIMESTAMP: <api-key>'import requests
url = "https://external-api.kalshi.com/trade-api/v2/portfolio/orders/{order_id}/queue_position"
headers = {
"KALSHI-ACCESS-KEY": "<api-key>",
"KALSHI-ACCESS-SIGNATURE": "<api-key>",
"KALSHI-ACCESS-TIMESTAMP": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'KALSHI-ACCESS-KEY': '<api-key>',
'KALSHI-ACCESS-SIGNATURE': '<api-key>',
'KALSHI-ACCESS-TIMESTAMP': '<api-key>'
}
};
fetch('https://external-api.kalshi.com/trade-api/v2/portfolio/orders/{order_id}/queue_position', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"queue_position_fp": "10.00"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}orders
Get Order Queue Position
Endpoint for getting an order’s queue position in the order book. This represents the amount of orders that need to be matched before this order receives a partial or full match. Queue position is determined using a price-time priority.
GET
/
portfolio
/
orders
/
{order_id}
/
queue_position
Get Order Queue Position
Authorizations
Your API key ID
RSA-PSS signature of the request
Request timestamp in milliseconds
Path Parameters
Order ID
Response
Queue position retrieved successfully
The number of preceding shares before the order in the queue.
Example:
"10.00"
⌘I